| Home | Libraries | People | FAQ | More

## Struct template as

boost::xpressive::op::as — `as<>` is a PolymorphicFunctionObject for lexically casting a parameter to a different type.

## Synopsis

    // In header: <boost/xpressive/xpressive_fwd.hpp>

    template<typename T>
    struct as {

      // public member functions
      template<typename Value> T operator()(Value const &) const;
    };

## Description

### Template Parameters

1.     typename T

   The type to which to lexically cast the parameter.

### `as` public member functions

1.     template<typename Value> T operator()(Value const & val) const;

   Parameters:

   `val` | The value to lexically cast.

   Returns: | `boost::lexical_cast<T>(val)`